diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index ea36b05..43e564a 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -56160,7 +56160,7 @@ ListMultiDictionary(S:SetCategory): MultiDictionary(S) with
    parts s            == deref s
    sub(x, y, z)       == (z = x => y; z)
    insert_!(x, s, n)  == (for i in 1..n repeat insert_!(x, s); s)
-   substitute(x, y, s) == dictionary map(sub(x, y, #1), parts s)
+   substitute(x, y, s) == dictionary map(z1 +-> sub(x, y, z1), parts s)
    removeDuplicates_! s == dictionary removeDuplicates_! parts s
 
    inspect s ==
@@ -56186,7 +56186,7 @@ ListMultiDictionary(S:SetCategory): MultiDictionary(S) with
      for x in removeDuplicates parts lmd | p(x) repeat remove_!(x,lmd)
      lmd
 
-   select_!(p: S->Boolean, lmd:%):% == remove_!(not p(#1), lmd)
+   select_!(p: S->Boolean, lmd:%):% == remove_!((z:S):Boolean+->not p(z), lmd)
 
    duplicates(lmd:%):List D ==
      ld: List D := empty()
diff --git a/changelog b/changelog
index 31e6347..e3ff635 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090513 tpd src/axiom-website/patches.html 20090513.01.tpd.patch
+20090513 tpd books/bookvol10.3 LMDICT +-> conversin
 20090512 tpd src/axiom-website/patches.html 20090512.10.tpd.patch
 20090512 tpd books/bookvol10.3 IR +-> conversion
 20090512 tpd src/axiom-website/patches.html 20090512.09.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 3d57378..c151e43 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1272,5 +1272,7 @@ bookvol10.4 CDEN +-> conversion<br/>
 bookvol10.4 CDEN +-> conversion<br/>
 <a href="patches/20090512.10.tpd.patch">20090512.10.tpd.patch</a>
 bookvol10.2 IR +-> conversion<br/>
+<a href="patches/20090513.01.tpd.patch">20090513.01.tpd.patch</a>
+bookvol10.3 LMDICT +-> conversion<br/>
  </body>
 </html>
